## baresip 0.4.20

=== Makefile ===
#
# Makefile
#
# Copyright (C) 2010 Creytiv.com
#
#
# Internal features:
#
#   USE_TLS           Enable SIP over TLS transport
#   USE_VIDEO         Enable Video-support
#

USE_VIDEO := 1

PROJECT	  := baresip
VERSION   := 0.4.20
DESCR     := "Baresip is a modular SIP User-Agent with audio and video support"

# Verbose and silent build modes
ifeq ($(V),)
HIDE=@
endif

ifndef LIBRE_MK
LIBRE_MK  := $(shell [ -f ../re/mk/re.mk ] && \
	echo "../re/mk/re.mk")
ifeq ($(LIBRE_MK),)
LIBRE_MK  := $(shell [ -f ../re-$(VERSION)/mk/re.mk ] && \
	echo "../re-$(VERSION)/mk/re.mk")
endif
ifeq ($(LIBRE_MK),)
LIBRE_MK  := $(shell [ -f /usr/share/re/re.mk ] && \
	echo "/usr/share/re/re.mk")
endif
ifeq ($(LIBRE_MK),)
LIBRE_MK  := $(shell [ -f /usr/local/share/re/re.mk ] && \
	echo "/usr/local/share/re/re.mk")
endif
endif

include $(LIBRE_MK)
include mk/modules.mk

ifndef LIBREM_PATH
LIBREM_PATH	:= $(shell [ -d ../rem ] && echo "../rem")
endif


CFLAGS    += -I. -Iinclude -I$(LIBRE_INC) -I$(SYSROOT)/include
CFLAGS    += -I$(LIBREM_PATH)/include
CFLAGS    += -I$(SYSROOT)/local/include/rem -I$(SYSROOT)/include/rem

CXXFLAGS  += -I. -Iinclude -I$(LIBRE_INC)
CXXFLAGS  += -I$(LIBREM_PATH)/include
CXXFLAGS  += -I$(SYSROOT)/local/include/rem -I$(SYSROOT)/include/rem
CXXFLAGS  += $(EXTRA_CXXFLAGS)

# XXX: common for C/C++
CPPFLAGS += -DHAVE_INTTYPES_H

ifneq ($(LIBREM_PATH),)
SPLINT_OPTIONS += -I$(LIBREM_PATH)/include
CLANG_OPTIONS  += -I$(LIBREM_PATH)/include
endif

ifeq ($(OS),win32)
STATIC    := yes
endif

ifeq ($(OS),freebsd)
ifneq ($(SYSROOT),)
CFLAGS += -I$(SYSROOT)/local/include
endif
endif


# Optional dependencies
ifneq ($(USE_VIDEO),)
CFLAGS    += -DUSE_VIDEO=1
endif
ifneq ($(STATIC),)
CFLAGS    += -DSTATIC=1
CXXFLAGS  += -DSTATIC=1
endif
CFLAGS    += -DMODULE_CONF

INSTALL := install
ifeq ($(DESTDIR),)
PREFIX  := /usr/local
else
PREFIX  := /usr
endif
BINDIR	:= $(PREFIX)/bin
INCDIR  := $(PREFIX)/include
BIN	:= $(PROJECT)$(BIN_SUFFIX)
TEST_BIN	:= selftest$(BIN_SUFFIX)
SHARED  := lib$(PROJECT)$(LIB_SUFFIX)
STATICLIB  := libbaresip.a
ifeq ($(STATIC),)
MOD_BINS:= $(patsubst %,%$(MOD_SUFFIX),$(MODULES))
endif
APP_MK	:= src/srcs.mk
TEST_MK	:= test/srcs.mk
MOD_MK	:= $(patsubst %,modules/%/module.mk,$(MODULES))
MOD_BLD	:= $(patsubst %,$(BUILD)/modules/%,$(MODULES))
LIBDIR     := $(PREFIX)/lib
MOD_PATH   := $(LIBDIR)/$(PROJECT)/modules
SHARE_PATH := $(PREFIX)/share/$(PROJECT)
CFLAGS     += -DPREFIX=\"$(PREFIX)\"


all: sanity $(MOD_BINS) $(BIN)

.PHONY: modules
modules:	$(MOD_BINS)

include $(APP_MK)
include $(TEST_MK)
include $(MOD_MK)

OBJS      := $(patsubst %.c,$(BUILD)/src/%.o,$(filter %.c,$(SRCS)))
OBJS      += $(patsubst %.m,$(BUILD)/src/%.o,$(filter %.m,$(SRCS)))
OBJS      += $(patsubst %.S,$(BUILD)/src/%.o,$(filter %.S,$(SRCS)))

APP_OBJS  := $(OBJS) $(patsubst %.c,$(BUILD)/src/%.o,$(APP_SRCS)) $(MOD_OBJS)

LIB_OBJS  := $(OBJS) $(MOD_OBJS)

TEST_OBJS := $(patsubst %.c,$(BUILD)/test/%.o,$(filter %.c,$(TEST_SRCS)))
TEST_OBJS += $(patsubst %.cpp,$(BUILD)/test/%.o,$(filter %.cpp,$(TEST_SRCS)))

ifneq ($(LIBREM_PATH),)
LIBS	+= -L$(LIBREM_PATH)
endif

# Static build: include module linker-flags in binary
ifneq ($(STATIC),)
LIBS      += $(MOD_LFLAGS)
else
LIBS      += -L$(SYSROOT)/local/lib
MOD_LFLAGS += -L$(SYSROOT)/local/lib
endif

LIBS      += -lrem -lm
LIBS      += -L$(SYSROOT)/lib

ifeq ($(OS),win32)
TEST_LIBS += -static-libgcc
endif


-include $(APP_OBJS:.o=.d)

-include $(TEST_OBJS:.o=.d)


sanity:
ifeq ($(LIBRE_MK),)
	@echo "ERROR: Missing common makefile for libre. Check LIBRE_MK"
	@exit 2
endif
ifeq ($(LIBRE_INC),)
	@echo "ERROR: Missing header files for libre. Check LIBRE_INC"
	@exit 2
endif
ifeq ($(LIBRE_SO),)
	@echo "ERROR: Missing library files for libre. Check LIBRE_SO"
	@exit 2
endif

Makefile:	mk/*.mk $(MOD_MK) $(LIBRE_MK)


$(SHARED): $(LIB_OBJS)
	@echo "  LD      $@"
	$(HIDE)$(LD) $(LFLAGS) $(SH_LFLAGS) $^ -L$(LIBRE_SO) -lre $(LIBS) -o $@

$(STATICLIB): $(LIB_OBJS)
	@echo "  AR      $@"
	@rm -f $@; $(AR) $(AFLAGS) $@ $^
ifneq ($(RANLIB),)
	@echo "  RANLIB  $@"
	$(HIDE)$(RANLIB) $@
endif

libbaresip.pc:
	@echo 'prefix='$(PREFIX) > libbaresip.pc
	@echo 'exec_prefix=$${prefix}' >> libbaresip.pc
	@echo 'libdir=$${prefix}/lib' >> libbaresip.pc
	@echo 'includedir=$${prefix}/include' >> libbaresip.pc
	@echo '' >> libbaresip.pc
	@echo 'Name: libbaresip' >> libbaresip.pc
	@echo 'Description: $(DESCR)' >> libbaresip.pc
	@echo 'Version: '$(VERSION) >> libbaresip.pc
	@echo 'URL: http://www.creytiv.com/baresip.html' >> libbaresip.pc
	@echo 'Libs: -L$${libdir} -lbaresip' >> libbaresip.pc
	@echo 'Cflags: -I$${includedir}' >> libbaresip.pc

# GPROF requires static linking
$(BIN):	$(APP_OBJS)
	@echo "  LD      $@"
ifneq ($(GPROF),)
	$(HIDE)$(LD) $(LFLAGS) $(APP_LFLAGS) $^ ../re/libre.a $(LIBS) -o $@
else
	$(HIDE)$(LD) $(LFLAGS) $(APP_LFLAGS) $^ \
		-L$(LIBRE_SO) -lre $(LIBS) -o $@
endif


.PHONY: test
test:	$(TEST_BIN)
	./$(TEST_BIN)

$(TEST_BIN):	$(STATICLIB) $(TEST_OBJS)
	@echo "  LD      $@"
	$(HIDE)$(CXX) $(LFLAGS) $(TEST_OBJS) \
		-L$(LIBRE_SO) -L. \
		-l$(PROJECT) -lre $(LIBS) $(TEST_LIBS) -o $@

$(BUILD)/%.o: %.c $(BUILD) Makefile $(APP_MK)
	@echo "  CC      $@"
	$(HIDE)$(CC) $(CFLAGS) -c $< -o $@ $(DFLAGS)

$(BUILD)/%.o: %.cpp $(BUILD) Makefile $(APP_MK)
	@echo "  CXX     $@"
	$(HIDE)$(CXX) $(CPPFLAGS) $(CXXFLAGS) -c $< -o $@ $(DFLAGS)

$(BUILD)/%.o: %.m $(BUILD) Makefile $(APP_MK)
	@echo "  OC      $@"
	$(HIDE)$(CC) $(CFLAGS) $(OBJCFLAGS) -c $< -o $@ $(DFLAGS)

$(BUILD)/%.o: %.S $(BUILD) Makefile $(APP_MK)
	@echo "  AS      $@"
	$(HIDE)$(CC) $(CFLAGS) -c $< -o $@ $(DFLAGS)

$(BUILD): Makefile
	@mkdir -p $(BUILD)/src $(MOD_BLD) $(BUILD)/test/mock $(BUILD)/test/sip
	@touch $@

install: $(BIN) $(MOD_BINS)
	@mkdir -p $(DESTDIR)$(BINDIR)
	$(INSTALL) -m 0755 $(BIN) $(DESTDIR)$(BINDIR)
	@mkdir -p $(DESTDIR)$(MOD_PATH)
	$(INSTALL) -m 0644 $(MOD_BINS) $(DESTDIR)$(MOD_PATH)
	@mkdir -p $(DESTDIR)$(SHARE_PATH)
	$(INSTALL) -m 0644 share/* $(DESTDIR)$(SHARE_PATH)

install-dev: install-shared install-static

install-shared: $(SHARED) libbaresip.pc
	@mkdir -p $(DESTDIR)$(INCDIR)
	$(INSTALL) -Cm 0644 include/baresip.h $(DESTDIR)$(INCDIR)
	@mkdir -p $(DESTDIR)$(LIBDIR) $(DESTDIR)$(LIBDIR)/pkgconfig
	$(INSTALL) -m 0644 $(SHARED) $(DESTDIR)$(LIBDIR)
	$(INSTALL) -m 0644 libbaresip.pc $(DESTDIR)$(LIBDIR)/pkgconfig

install-static: $(STATICLIB)
	@mkdir -p $(DESTDIR)$(INCDIR)
	$(INSTALL) -Cm 0644 include/baresip.h $(DESTDIR)$(INCDIR)
	@mkdir -p $(DESTDIR)$(LIBDIR)
	$(INSTALL) -m 0644 $(STATICLIB) $(DESTDIR)$(LIBDIR)

uninstall:
	@rm -f $(DESTDIR)$(PREFIX)/bin/$(BIN)
	@rm -rf $(DESTDIR)$(MOD_PATH)
	@rm -f $(DESTDIR)$(PREFIX)/lib/$(SHARED)
	@rm -f $(DESTDIR)$(PREFIX)/lib/$(STATICLIB)
	@rm -f $(DESTDIR)$(PREFIX)/lib/pkgconfig/libbaresip.pc

.PHONY: clean
clean:
	@rm -rf $(BIN) $(MOD_BINS) $(SHARED) $(BUILD) $(TEST_BIN) \
		$(STATICLIB) libbaresip.pc
	@rm -f *stamp \
	`find . -name "*.[od]"` \
	`find . -name "*~"` \
	`find . -name "\.\#*"`

.PHONY: ccheck
ccheck:
	@ccheck.pl > /dev/null

version:
	@perl -pi -e 's/BARESIP_VERSION.*/BARESIP_VERSION \"$(VERSION)"/' \
		include/baresip.h
	@perl -pi -e "s/PROJECT_NUMBER         = .*/\
PROJECT_NUMBER         = $(VERSION)/" \
		mk/Doxyfile
	@echo "updating version number to $(VERSION)"

src/static.c: $(BUILD) Makefile $(APP_MK) $(MOD_MK)
	@echo "  SH      $@"
	@echo "/* static.c - autogenerated by makefile */"  > $@
	@echo "#include <re_types.h>"  >> $@
	@echo "#include <re_mod.h>"  >> $@
	@echo ""  >> $@
	@for n in $(MODULES); do \
		echo "extern const struct mod_export exports_$${n};" >> $@ ; \
	done
	@echo ""  >> $@
	@echo "const struct mod_export *mod_table[] = {"  >> $@
	@for n in $(MODULES); do \
		echo "  &exports_$${n},"  >> $@  ; \
	done
	@echo "  NULL"  >> $@
	@echo "};"  >> $@

git_release:
	git archive --format=tar --prefix=$(PROJECT)-$(VERSION)/ v$(VERSION) \
		| gzip > $(PROJECT)-$(VERSION).tar.gz

=== debian/changelog ===
baresip (0.4.20-1ubuntu3) zesty; urgency=medium

  * No-change rebuild against libx265-110.

 -- Mattia Rizzolo <mapreri@ubuntu.com>  Sun, 19 Feb 2017 17:03:25 +0100

baresip (0.4.20-1ubuntu2) zesty; urgency=medium

  * No-change rebuild against libx265-102.

 -- Mattia Rizzolo <mapreri@ubuntu.com>  Tue, 31 Jan 2017 22:52:02 +0100

baresip (0.4.20-1ubuntu1) zesty; urgency=medium

  * Add ssl to dev-deps and regenerate debian/control to fix FTBFS.

 -- Logan Rosen <logan@ubuntu.com>  Thu, 29 Dec 2016 15:59:07 -0500

baresip (0.4.20-1) unstable; urgency=medium

  * Initial Release.
    Closes: bug#673881

 -- Vasudev Kamath <vasudev@copyninja.info>  Thu, 22 Dec 2016 17:28:27 +0530

=== debian/control ===
Source: baresip
Section: comm
Priority: optional
Build-Depends: cdbs (>= 0.4.131~),
 devscripts,
 debhelper,
 dh-buildinfo,
 libcairo2-dev,
 librem-dev,
 libasound2-dev,
 libavcodec-dev,
 libavformat-dev,
 libavdevice-dev,
 libgstreamer1.0-dev,
 libre-dev,
 libevdev-dev,
 libgsm1-dev,
 libspandsp-dev,
 libvpx-dev,
 libopus-dev,
 libssl-dev,
 pkg-config
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Vasudev Kamath <vasudev@copyninja.info>,
 Ramakrishnan Muthhukrishnan <ram@rkrishnan.org>
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-voip/baresip.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-voip/baresip.git
Homepage: http://www.creytiv.com/baresip.html

Package: baresip
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends}
Description:  portable and modular SIP User-Agent with audio and video support
 A modular SIP User-Agent with support for many IETF standards such as
 SIP,SDP,RTP/RTCP,STUN,TURN,ICE. It supports both IPv4 and IPv6. It
 has following features.
  * Audio codecs: AMR, BV32, G.711, G.722, G.722.1, G.726, GSM, iLBC,
    iSAC, L16, OPUS, Silk, Speex
  * Video codecs: H.263, H.264, H.265, MPEG4, VP8
  * Audio drivers: Alsa, Coreaudio, GStreamer, OpenSLES, OSS,
    Portaudio, Windows wave
  * Video sources: FFmpeg avformat, MacOSX qtcapture, MacOSX
    quicktime, Video4Linux and Video4Linux2, X11 Grabber
  * Video output modules: OpenGL, SDL/SDL2, X11, DirectFB
  * NAT Traversal modules: STUN, TURN, ICE, NAT-PMP
  * Media encryption modules: SRTP, DTLS-SRTP, ZRTP

=== debian/rules ===
#!/usr/bin/make -f

# TODO: Drop this when makefile.mk from CDBS can handle the package.
EXTRA_CFLAGS := "$(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)"
EXTRA_LFLAGS := "$(shell dpkg-buildflags --get LDFLAGS)"

include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/debhelper.mk

# Ignore wav files
DEB_COPYRIGHT_CHECK_IGNORE_EXTS = wav
DEB_COPYRIGHT_CHECK_IGNORE_PATHS = debian/

# Build-Depends
dev-deps = cairo2 rem asound2 avcodec avformat avdevice
dev-deps += gstreamer1.0 re evdev gsm1 spandsp vpx opus ssl

CDBS_BUILD_DEPENDS += , $(patsubst %, $(comma) lib%-dev,$(dev-deps))
CDBS_BUILD_DEPENDS += , pkg-config

# LIBDIR for installation
LIBDIR=/usr/lib

# TODO: Drop when makefiles.mk can handle the package
common-build-arch common-build-indep:: build_rem_package
build_rem_package:
	make info all RELEASE=1 \
		V=1 \
		USE_OPENSSL=1 \
		USE_ZLIB=1 \
		USE_TLS=1 \
		USE_VIDEO=1 \
		USE_ALSA=1 \
		USE_AMR=1 \
		USE_AVCODEC=1 \
		USE_AVFORMAT=1 \
		USE_CAIRO=1 \
		USE_CONS=1 \
		USE_EVDEV=1 \
		USE_G711=1 \
		USE_G722=1 \
		USE_GSM=1 \
		USE_GST1=1 \
		USE_VP8=1 \
		USE_VP9=1 \
		USE_OPUS=1 \
		EXTRA_CFLAGS=$(EXTRA_CFLAGS) \
		EXTRA_LFLAGS=$(EXTRA_LFLAGS)

common-install-arch common-install-indep:: install_rem_package
install_rem_package:
	make install DESTDIR=debian/tmp V=1

=== debian/watch ===
version=4
https://github.com/alfredh/baresip/releases .*/v@ANY_VERSION@@ARCHIVE_EXT@

## baresip 0.5.0

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 USE_VIDEO := 1
 
 PROJECT	  := baresip
-VERSION   := 0.4.20
+VERSION   := 0.5.0
 DESCR     := "Baresip is a modular SIP User-Agent with audio and video support"
 
 # Verbose and silent build modes
@@ -304,7 +304,3 @@
 	done
 	@echo "  NULL"  >> $@
 	@echo "};"  >> $@
-
-git_release:
-	git archive --format=tar --prefix=$(PROJECT)-$(VERSION)/ v$(VERSION) \
-		| gzip > $(PROJECT)-$(VERSION).tar.gz

=== debian/changelog ===
baresip (0.5.0-4) unstable; urgency=medium

  * Update package relations: Fix breaks/replaces for baresip-core.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 17 Jan 2017 23:21:28 +0100

baresip (0.5.0-3) unstable; urgency=medium

  * Improve short and long descriptions.
  * Fix install examples.
  * Add binary package baresip-core, and make baresip a metapackage.
  * Fix install upstream changelog.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 17 Jan 2017 18:38:33 +0100

baresip (0.5.0-2) unstable; urgency=medium

  * Fix skip directfb module where unsupported.
  * Update package relations: Fix have other packages depend on baresip.
  * Enable module sndio.
  * Fix list only supported features (and mention additional ones) in
    long descriptions.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 12 Jan 2017 22:05:39 +0100

baresip (0.5.0-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Vasudev Kamath ]
  * Fix path to wav files: Set variable PREFIX during build.
  * Enable more modules:
    + gst_video1
    + gtk
    + rst
    Build-depend on libgtk2.0-dev libgstreamer-plugins-base1.0-dev
    libmpg123-dev libx11-dev libxext-dev.
  * Add separate binary packages for non-core modules:
    + baresip-ffmpeg
    + baresip-gstreamer
    + baresip-gtk
    + baresip-x11

  [ Jonas Smedegaard ]
  * Add myself as uploader (and sort the list while at it).
  * Refresh patches with shortening quilt options.
  * Add git-buildpackage config:
    + Use pristine-tar.
    + Sign tags.
    + Filter debian dir and any .git* file.
  * Fix clean built code.
  * Git-ignore quilt .pc dir (and avoid upstream git-ignore items).
  * Update copyright info:
    + Extend coverage for main upstream authors.
    + Add myself as copyright holder.
  * Let CDBS resolve build flags.
  * Override lintian for possible-gpl-code-linked-with-openssl; False
    positive.
  * Drop obsolete upstream patches.
  * Install README and TODO files with all binary packages.
  * Install example files as such.
  * Fix stop suppress copyright check of debian dir: May contain code.
  * Enable more modules: amr b2bua codec2 directfb echo jack h265
    libsrtp mpa pcp portaudio pulse sdl2 snapshot sndfile sndio speex
    speex_aec speex_pp swscale.
  * Update package relations:
    + Build-depend on libcodec2-dev libjack-dev libopencore-amrnb
      libopencore-amrwb libpng-dev libpulse-dev libsdl2-dev
      libsndfile1-dev libsndio-dev libspeex-dev libspeexdsp-dev
      libsrtp0-dev libswscale-dev libtwolame-dev libx265-dev
      portaudio19-dev.
    + Build-depend on libdirectfb-dev on supported archs
      (queried online in maintainer mode).
    + Limit to build-depend on libevdev-dev only on linux archs.
    + Fix build-depend explicitly on libssl-dev.
      Closes: Bug#849694. Thanks to Logan Rosen.
    + Fix have other packages break+replace baresip.
      Closes: Bug#850663. Thanks to Axel Beckert.
    + Have baresip suggest other packages.
    + Have other packages enhance baresip.
    + Mention other packages in long description of baresip.
  * Fix dollar-escape skeleton variables.
  * Update watch file:
    + Add usage comment.
    + Use github pattern from documentation.
    + Add trailing newline.
  * Simplify build:
    + Drop build flags equal to auto-resolved defaults.
    + Let CDBS handle build and install.
  * Enable testsuite.
    Thanks to Alfred Heggestad.
  * Stop override lintian for
    package-needs-versioned-debhelper-build-depends: Fixed in lintian.
  * Update copyright info:
    + Fix double-indent subsequent copyright holders.
    + Strip useless copyright pseudo-signs.
    + Sort copyright holders.
    + Extend coverage of Debian packaging.
    + Add license grant to rules.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 12 Jan 2017 17:13:18 +0100

=== debian/control ===
Source: baresip
Section: comm
Priority: optional
Build-Depends: cdbs (>= 0.4.131~),
 licensecheck,
 debhelper,
 dh-buildinfo,
 libasound2-dev,
 libcodec2-dev,
 libdirectfb-dev [amd64 arm64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel powerpc ppc64el s390x],
 libjack-dev,
 libgsm1-dev,
 libopus-dev,
 libopencore-amrnb-dev,
 libopencore-amrwb-dev,
 libpng-dev,
 libre-dev,
 librem-dev,
 libsdl2-dev,
 libsndfile1-dev,
 libsndio-dev,
 libspandsp-dev,
 libspeex-dev,
 libspeexdsp-dev,
 libsrtp0-dev,
 libtwolame-dev,
 libvpx-dev,
 libssl-dev,
 libevdev-dev [linux-any],
 portaudio19-dev,
 pkg-config,
 libavcodec-dev,
 libavformat-dev,
 libavdevice-dev,
 libswscale-dev,
 libx265-dev,
 libgstreamer1.0-dev,
 libgstreamer-plugins-base1.0-dev,
 libgtk2.0-dev,
 libcairo2-dev,
 libmpg123-dev,
 libpulse-dev,
 libxext-dev,
 libx11-dev
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>,
 Ramakrishnan Muthhukrishnan <ram@rkrishnan.org>,
 Vasudev Kamath <vasudev@copyninja.info>
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-voip/baresip.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-voip/baresip.git
Homepage: http://www.creytiv.com/baresip.html

Package: baresip
Architecture: all
Depends: ${cdbs:Depends},
 ${misc:Depends}
Recommends: ${cdbs:Recommends}
Description: portable and modular SIP user-agent - metapackage
 A modular SIP user-agent with support for audio and video, and many
 IETF standards such as SIP, SDP, RTP/RTCP, STUN, TURN, and ICE.
 .
 Supports both IPv4 and IPv6, and the following features.
  * Audio codecs: AMR, G.711, G.722, G.726, GSM, L16, MPA, OPUS, Speex.
  * Video codecs: H.263, H.264, H.265, MPEG4, VP8, VP9.
  * Audio drivers: Alsa, GStreamer, JACK, OSS, Portaudio, sndio.
  * Video sources: FFmpeg avformat, Video4Linux2, X11 Grabber.
  * Video output modules: SDL2, X11, DirectFB.
  * NAT Traversal modules: STUN, TURN, ICE, NATBD, NAT-PMP, PCP.
  * Media encryption modules: SRTP, DTLS-SRTP.
 .
 This metapackage will install baresip and all its optional features.

Package: baresip-core
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends}
Suggests: ${cdbs:Suggests}
Breaks: ${cdbs:Breaks}
Replaces: ${cdbs:Replaces}
Description: portable and modular SIP user-agent - core parts
 A modular SIP user-agent with support for audio and video, and many
 IETF standards such as SIP, SDP, RTP/RTCP, STUN, TURN, and ICE.
 .
 Supports both IPv4 and IPv6, and the following features.
  * Audio codecs: AMR, G.711, G.722, G.726, GSM, L16, MPA, OPUS, Speex.
  * Video codecs: H.263, H.264, H.265, MPEG4, VP8, VP9.
  * Audio drivers: Alsa, GStreamer, JACK, OSS, Portaudio, sndio.
  * Video sources: FFmpeg avformat, Video4Linux2, X11 Grabber.
  * Video output modules: SDL2, X11, DirectFB.
  * NAT Traversal modules: STUN, TURN, ICE, NATBD, NAT-PMP, PCP.
  * Media encryption modules: SRTP, DTLS-SRTP.
 .
 Some of above features are provided in separate packages baresip-gtk,
 baresip-ffmpeg, baresip-gstreamer and baresip-x11.

Package: baresip-gtk
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
 baresip-core (= ${binary:Version})
Enhances: ${cdbs:Enhances}
Description: portable and modular SIP user-agent - GTK+ front-end
 A modular SIP user-agent with support for audio and video, and many
 IETF standards such as SIP, SDP, RTP/RTCP, STUN, TURN, and ICE.
 .
 Supports both IPv4 and IPv6, and the following features.
  * Audio codecs: AMR, G.711, G.722, G.726, GSM, L16, MPA, OPUS, Speex.
  * Video codecs: H.263, H.264, H.265, MPEG4, VP8, VP9.
  * Audio drivers: Alsa, GStreamer, JACK, OSS, Portaudio, sndio.
  * Video sources: FFmpeg avformat, Video4Linux2, X11 Grabber.
  * Video output modules: SDL2, X11, DirectFB.
  * NAT Traversal modules: STUN, TURN, ICE, NATBD, NAT-PMP, PCP.
  * Media encryption modules: SRTP, DTLS-SRTP.
 .
 This package provides a GTK+ front-end for baresip.

Package: baresip-ffmpeg
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
 baresip-core (= ${binary:Version})
Breaks: ${cdbs:Breaks}
Replaces: ${cdbs:Replaces}
Enhances: ${cdbs:Enhances}
Description: portable and modular SIP user-agent - FFmpeg codecs and formats
 A modular SIP user-agent with support for audio and video, and many
 IETF standards such as SIP, SDP, RTP/RTCP, STUN, TURN, and ICE.
 .
 Supports both IPv4 and IPv6, and the following features.
  * Audio codecs: AMR, G.711, G.722, G.726, GSM, L16, MPA, OPUS, Speex.
  * Video codecs: H.263, H.264, H.265, MPEG4, VP8, VP9.
  * Audio drivers: Alsa, GStreamer, JACK, OSS, Portaudio, sndio.
  * Video sources: FFmpeg avformat, Video4Linux2, X11 Grabber.
  * Video output modules: SDL2, X11, DirectFB.
  * NAT Traversal modules: STUN, TURN, ICE, NATBD, NAT-PMP, PCP.
  * Media encryption modules: SRTP, DTLS-SRTP.
 .
 This package integrates FFmpeg codecs and formats with baresip.

Package: baresip-gstreamer
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
 baresip-core (= ${binary:Version})
Breaks: ${cdbs:Breaks}
Replaces: ${cdbs:Replaces}
Enhances: ${cdbs:Enhances}
Description: portable and modular SIP user-agent - GStreamer pipelines
 A modular SIP user-agent with support for audio and video, and many
 IETF standards such as SIP, SDP, RTP/RTCP, STUN, TURN, and ICE.
 .
 Supports both IPv4 and IPv6, and the following features.
  * Audio codecs: AMR, G.711, G.722, G.726, GSM, L16, MPA, OPUS, Speex.
  * Video codecs: H.263, H.264, H.265, MPEG4, VP8, VP9.
  * Audio drivers: Alsa, GStreamer, JACK, OSS, Portaudio, sndio.
  * Video sources: FFmpeg avformat, Video4Linux2, X11 Grabber.
  * Video output modules: SDL2, X11, DirectFB.
  * NAT Traversal modules: STUN, TURN, ICE, NATBD, NAT-PMP, PCP.
  * Media encryption modules: SRTP, DTLS-SRTP.
 .
 This package integrates GStreamer pipelines with baresip.

Package: baresip-x11
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
 baresip-core (= ${binary:Version})
Breaks: ${cdbs:Breaks}
Replaces: ${cdbs:Replaces}
Enhances: ${cdbs:Enhances}
Description: portable and modular SIP user-agent - X11 features
 A modular SIP user-agent with support for audio and video, and many
 IETF standards such as SIP, SDP, RTP/RTCP, STUN, TURN, and ICE.
 .
 Supports both IPv4 and IPv6, and the following features.
  * Audio codecs: AMR, G.711, G.722, G.726, GSM, L16, MPA, OPUS, Speex.
  * Video codecs: H.263, H.264, H.265, MPEG4, VP8, VP9.
  * Audio drivers: Alsa, GStreamer, JACK, OSS, Portaudio, sndio.
  * Video sources: FFmpeg avformat, Video4Linux2, X11 Grabber.
  * Video output modules: SDL2, X11, DirectFB.
  * NAT Traversal modules: STUN, TURN, ICE, NATBD, NAT-PMP, PCP.
  * Media encryption modules: SRTP, DTLS-SRTP.
 .
 This package provides various X11-related features for baresip.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2016-2017 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for baresip
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/debhelper.mk

# resolve supported architectures for arch-varying build-dependencies
# (in maintainer mode only: uses network and messes with control file)
ifneq (,$(DEB_MAINTAINER_MODE))
$(shell sh debian/pkgarchs.sh libdirectfb-dev > debian/ARCHS_directfb)
debian/control::
	perl -i -p \
		-e 's/\blibdirectfb-dev\K\s*(?:\[[^]]*\]\s*)?/ [$(ARCHS_directfb)]/' \
		debian/control
endif
ARCHS_directfb := $(shell cat debian/ARCHS_directfb)

# Ignore wav files
DEB_COPYRIGHT_CHECK_IGNORE_EXTS = wav

# Needs and module hints for core package
core-deps = asound2 codec2 directfb jack gsm1 opus opencore-amrnb
core-deps += opencore-amrwb png re rem sdl2 sndfile1 sndio spandsp
core-deps += speex speexdsp srtp0 twolame vpx ssl
core-deps-extra = libevdev-dev [linux-any]
core-deps-extra +=, portaudio19-dev
core-mods-extra = b2bua codec2 echo jack snapshot sndio
core-mods-extra += $(if $(filter $(ARCHS_directfb),$(DEB_HOST_ARCH)),directfb)

CDBS_BUILD_DEPENDS +=, $(patsubst %,$(comma) lib%-dev,$(core-deps))
CDBS_BUILD_DEPENDS +=, $(core-deps-extra), pkg-config
EXTRA_MODULES += $(core-mods-extra)

CDBS_DEPENDS_baresip +=, baresip-core
# TODO: drop these after Stretch
CDBS_BREAKS_baresip-core = baresip (<= 0.5.0-2~)
CDBS_REPLACES_baresip-core = baresip (<= 0.5.0-2~)

# Needs and module hints for module packages
ffmpeg-deps = avcodec avformat avdevice swscale x265
ffmpeg-mods = avformat avcodec h265
ffmpeg-mods-extra = swscale
gstreamer-deps = gstreamer1.0 gstreamer-plugins-base1.0
gstreamer-mods = gst1 gst_video1
gtk-deps = gtk2.0
gtk-mods = gtk
x11-deps = cairo2 mpg123 pulse xext x11
x11-mods = cairo pulse rst sdl2 vidinfo x11 x11grab

define MODULE_template =
CDBS_BUILD_DEPENDS +=, $$(patsubst %,$$(comma) lib%-dev,$$($1-deps))
EXTRA_MODULES += $$($1-mods-extra)
DEB_DH_INSTALL_ARGS_baresip-$1 = \
 $$(patsubst %,usr/lib/baresip/modules/%.so,$$($1-mods) $$($1-mods-extra)) \
 usr/lib/baresip/modules
# Do not install these modules as part of baresip
DEB_DH_INSTALL_ARGS_baresip-core += \
 $$(patsubst %,-X%.so,$$($1-mods) $$($1-mods-extra))
CDBS_RECOMMENDS_baresip +=, baresip-$1
CDBS_SUGGESTS_baresip-core +=, baresip-$1
CDBS_ENHANCES_baresip-$1 = baresip-core
# TODO: drop these after Stretch
CDBS_BREAKS_baresip-$1 = baresip (<= 0.5.0)
CDBS_REPLACES_baresip-$1 = baresip (<= 0.5.0)
endef
$(foreach module,ffmpeg gstreamer gtk x11,\
 $(eval $(call MODULE_template,$(module))))

DEB_MAKE_EXTRA_ARGS = V=1 PREFIX=/usr RELEASE=1 \
	EXTRA_MODULES="$(EXTRA_MODULES)" \
	EXTRA_CFLAGS="$(CFLAGS) $(CPPFLAGS)" \
	EXTRA_LFLAGS="$(LDFLAGS)" \
	$(DEB_MAKE_PARALLEL)

DEB_MAKE_BUILD_TARGET = info all
DEB_MAKE_CHECK_TARGET = test
DEB_MAKE_INSTALL_TARGET = install DESTDIR=$(cdbs_make_curdestdir)

DEB_INSTALL_CHANGELOGS_ALL = docs/ChangeLog
DEB_INSTALL_DOCS_ALL += README.md docs/TODO
DEB_INSTALL_EXAMPLES_baresip-core = docs/examples/*

# LIBDIR for installation
LIBDIR=/usr/lib

=== debian/watch ===
# run "uscan --report" to check or "gpb import-orig --uscan" to update
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
 https://github.com/alfredh/baresip/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian

## baresip 0.5.4

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 USE_VIDEO := 1
 
 PROJECT	  := baresip
-VERSION   := 0.5.0
+VERSION   := 0.5.4
 DESCR     := "Baresip is a modular SIP User-Agent with audio and video support"
 
 # Verbose and silent build modes

=== debian/changelog ===
baresip (0.5.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  
  [ Steve Langasek ]
  * Build with -D_GNU_SOURCE to fix FTBFS with GCC 7. (Closes: #872406)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 26 Aug 2017 11:41:57 +0200

baresip (0.5.4-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).
    + Config:
      - Enable audio level RTP extension.
    + baresip-core:
      - Support Client-to-Mixer Audio Level Indication (RFC 6464).
      - Support RTP Header Extensions (RFC 5285).
      - module: dont load same static module twice.
      - ua: add ua_progress().
      - ua: check for Accept header in incoming OPTIONS request.
      - use a dummy RTP port for incoming OPTIONS.
      - vidcodec: make the API re-entrant.
      - vidfilt: make the API re-entrant.
      - vidisp: make the API re-entrant.
      - vidsrc: make the API re-entrant.
    + selftest:
      - add test for audio level indication in call.
      - add test for call progress.
    + Update all video modules with API-changes.
    + zrtp: check for RTP packet in send handler.
      - registered zrtp_log function with zrtp engine.
      - improved info message on how to verify remote peer.
      - improved setting and printing of zrtp cache file.

  [ Jonas Smedegaard ]
  * Update package relations:
    + Tighten to build-depend on recent librem-dev.
    + Tighten build-dependency on libre-dev.
    + Drop obsolete temporary breaks/replaces for older baresip.
    + Fix limit build-dependency on libdirectfb-dev to supported archs.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 03 Jul 2017 12:57:00 +0200

baresip (0.5.3-2) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.0.0.
  * Modernize Vcs-Browser field:
    + Use git (not cgit) in path.
  * Modernize cdbs:
    + Resolve archs in maintainer script (not during build).
    + Fix maintainer script copyright-check.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 24 Jun 2017 08:37:12 +0200

baresip (0.5.3-1) experimental; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Modernize cdbs:
    + Do copyright-check in maintainer script (not during build).
    + Relax to build-depend unversioned on cdbs.
    + Stop build-depend on licensecheck.
  * Enable module omx.
    + Build-depend on libomxil-bellagio-dev.
  * Tighten to build-depend on recent libre.
  * Stop explicitly enable jack module: Auto-detected now.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 21 May 2017 18:09:17 +0200

baresip (0.5.1-1) experimental; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Update copyright info: Extend coverage for main upstream authors.
  * Update package relations: Stop build-depend on libsrtp0-dev.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 13 Mar 2017 17:15:52 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: baresip
 Section: comm
 Priority: optional
-Build-Depends: cdbs (>= 0.4.131~),
- licensecheck,
+Build-Depends: cdbs,
  debhelper,
  dh-buildinfo,
  libasound2-dev,
@@ -14,21 +13,20 @@
  libopencore-amrnb-dev,
  libopencore-amrwb-dev,
  libpng-dev,
- libre-dev,
- librem-dev,
  libsdl2-dev,
  libsndfile1-dev,
  libsndio-dev,
  libspandsp-dev,
  libspeex-dev,
  libspeexdsp-dev,
- libsrtp0-dev,
  libtwolame-dev,
  libvpx-dev,
  libssl-dev,
  libevdev-dev [linux-any],
  portaudio19-dev,
  pkg-config,
+ libre-dev (>= 0.5.4),
+ librem-dev (>= 0.5.0),
  libavcodec-dev,
  libavformat-dev,
  libavdevice-dev,
@@ -38,6 +36,7 @@
  libgstreamer-plugins-base1.0-dev,
  libgtk2.0-dev,
  libcairo2-dev,
+ libomxil-bellagio-dev,
  libmpg123-dev,
  libpulse-dev,
  libxext-dev,
@@ -46,9 +45,9 @@
 Uploaders: Jonas Smedegaard <dr@jones.dk>,
  Ramakrishnan Muthhukrishnan <ram@rkrishnan.org>,
  Vasudev Kamath <vasudev@copyninja.info>
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Git: https://anonscm.debian.org/git/pkg-voip/baresip.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-voip/baresip.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-voip/baresip.git
 Homepage: http://www.creytiv.com/baresip.html
 
 Package: baresip
@@ -76,8 +75,6 @@
 Depends: ${misc:Depends},
  ${shlibs:Depends}
 Suggests: ${cdbs:Suggests}
-Breaks: ${cdbs:Breaks}
-Replaces: ${cdbs:Replaces}
 Description: portable and modular SIP user-agent - core parts
  A modular SIP user-agent with support for audio and video, and many
  IETF standards such as SIP, SDP, RTP/RTCP, STUN, TURN, and ICE.
@@ -120,8 +117,6 @@
 Depends: ${misc:Depends},
  ${shlibs:Depends},
  baresip-core (= ${binary:Version})
-Breaks: ${cdbs:Breaks}
-Replaces: ${cdbs:Replaces}
 Enhances: ${cdbs:Enhances}
 Description: portable and modular SIP user-agent - FFmpeg codecs and formats
  A modular SIP user-agent with support for audio and video, and many
@@ -143,8 +138,6 @@
 Depends: ${misc:Depends},
  ${shlibs:Depends},
  baresip-core (= ${binary:Version})
-Breaks: ${cdbs:Breaks}
-Replaces: ${cdbs:Replaces}
 Enhances: ${cdbs:Enhances}
 Description: portable and modular SIP user-agent - GStreamer pipelines
  A modular SIP user-agent with support for audio and video, and many
@@ -166,8 +159,6 @@
 Depends: ${misc:Depends},
  ${shlibs:Depends},
  baresip-core (= ${binary:Version})
-Breaks: ${cdbs:Breaks}
-Replaces: ${cdbs:Replaces}
 Enhances: ${cdbs:Enhances}
 Description: portable and modular SIP user-agent - X11 features
  A modular SIP user-agent with support for audio and video, and many

=== debian/rules ===
--- 
+++ 
@@ -16,41 +16,33 @@
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/class/makefile.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 
-# resolve supported architectures for arch-varying build-dependencies
-# (in maintainer mode only: uses network and messes with control file)
+# Run this to update arch list: debian/rules clean DEB_MAINTAINER_MODE=1
+# (in maintainer mode only, uses network and messes with control file)
 ifneq (,$(DEB_MAINTAINER_MODE))
-$(shell sh debian/pkgarchs.sh libdirectfb-dev > debian/ARCHS_directfb)
 debian/control::
-	perl -i -p \
-		-e 's/\blibdirectfb-dev\K\s*(?:\[[^]]*\]\s*)?/ [$(ARCHS_directfb)]/' \
-		debian/control
+	debian/archs-update
 endif
 ARCHS_directfb := $(shell cat debian/ARCHS_directfb)
 
-# Ignore wav files
-DEB_COPYRIGHT_CHECK_IGNORE_EXTS = wav
-
 # Needs and module hints for core package
 core-deps = asound2 codec2 directfb jack gsm1 opus opencore-amrnb
-core-deps += opencore-amrwb png re rem sdl2 sndfile1 sndio spandsp
-core-deps += speex speexdsp srtp0 twolame vpx ssl
+core-deps += opencore-amrwb png sdl2 sndfile1 sndio spandsp
+core-deps += speex speexdsp twolame vpx ssl
 core-deps-extra = libevdev-dev [linux-any]
 core-deps-extra +=, portaudio19-dev
-core-mods-extra = b2bua codec2 echo jack snapshot sndio
+core-mods-extra = b2bua codec2 echo snapshot sndio
 core-mods-extra += $(if $(filter $(ARCHS_directfb),$(DEB_HOST_ARCH)),directfb)
 
 CDBS_BUILD_DEPENDS +=, $(patsubst %,$(comma) lib%-dev,$(core-deps))
 CDBS_BUILD_DEPENDS +=, $(core-deps-extra), pkg-config
+CDBS_BUILD_DEPENDS +=, libre-dev (>= 0.5.4)
+CDBS_BUILD_DEPENDS +=, librem-dev (>= 0.5.0)
 EXTRA_MODULES += $(core-mods-extra)
 
 CDBS_DEPENDS_baresip +=, baresip-core
-# TODO: drop these after Stretch
-CDBS_BREAKS_baresip-core = baresip (<= 0.5.0-2~)
-CDBS_REPLACES_baresip-core = baresip (<= 0.5.0-2~)
 
 # Needs and module hints for module packages
 ffmpeg-deps = avcodec avformat avdevice swscale x265
@@ -60,8 +52,8 @@
 gstreamer-mods = gst1 gst_video1
 gtk-deps = gtk2.0
 gtk-mods = gtk
-x11-deps = cairo2 mpg123 pulse xext x11
-x11-mods = cairo pulse rst sdl2 vidinfo x11 x11grab
+x11-deps = cairo2 omxil-bellagio mpg123 pulse xext x11
+x11-mods = cairo omx pulse rst sdl2 vidinfo x11 x11grab
 
 define MODULE_template =
 CDBS_BUILD_DEPENDS +=, $$(patsubst %,$$(comma) lib%-dev,$$($1-deps))
@@ -75,9 +67,6 @@
 CDBS_RECOMMENDS_baresip +=, baresip-$1
 CDBS_SUGGESTS_baresip-core +=, baresip-$1
 CDBS_ENHANCES_baresip-$1 = baresip-core
-# TODO: drop these after Stretch
-CDBS_BREAKS_baresip-$1 = baresip (<= 0.5.0)
-CDBS_REPLACES_baresip-$1 = baresip (<= 0.5.0)
 endef
 $(foreach module,ffmpeg gstreamer gtk x11,\
  $(eval $(call MODULE_template,$(module))))

## baresip 0.5.7

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 USE_VIDEO := 1
 
 PROJECT	  := baresip
-VERSION   := 0.5.4
+VERSION   := 0.5.7
 DESCR     := "Baresip is a modular SIP User-Agent with audio and video support"
 
 # Verbose and silent build modes
@@ -59,7 +59,6 @@
 CPPFLAGS += -DHAVE_INTTYPES_H
 
 ifneq ($(LIBREM_PATH),)
-SPLINT_OPTIONS += -I$(LIBREM_PATH)/include
 CLANG_OPTIONS  += -I$(LIBREM_PATH)/include
 endif

=== debian/changelog ===
baresip (0.5.7-1build1) bionic; urgency=medium

  * No-change rebuild against latest libvpx

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 27 Feb 2018 08:50:11 -0500

baresip (0.5.7-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Enable new MQTT module:
    + Build-depend on libmosquitto-dev.
    + Mention MQTT in long descriptions.
  * Declare compliance with Debian Policy 4.1.3.
  * Add TODO items about library packages and GZRTP module.
  * Update copyright info: Extend coverage for myself.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 08 Jan 2018 17:52:59 +0100

baresip (0.5.6-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Update copyright info: Track files copyright Jonathan Sieber.
  * Update watch file: Use substitution strings.
  * Enable new Avahi module:
    + Build-depend on libavahi-client-dev.
    + Have baresip-core recommend avahi-daemon.
    + Mention Avahi in long descriptions.
  * Update copyright-check script to extract png files.
  * Fix tighten build-dependency on librem-dev due to changed types.
    Closes: Bug#878341. Thanks to Adrian Bunk.
  * Declare compliance with Debian Policy 4.1.1.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 28 Oct 2017 01:31:09 +0200

baresip (0.5.5-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Advertise DEP3 format in patch headers.
  * Tighten lintian overrides regarding License-Reference.
  * Declare compliance with Debian Policy 4.1.0.
  * Update package relations: Tighten build-dependency on libre-dev.
  * Rename patch from NMU 0.5.4-1.1 to fit documented patch naming
    micro-policy.
  * Unfuzz patches.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 11 Sep 2017 10:28:44 +0200

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
  debhelper,
  dh-buildinfo,
  libasound2-dev,
+ libavahi-client-dev,
  libcodec2-dev,
  libdirectfb-dev [amd64 arm64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel powerpc ppc64el s390x],
  libjack-dev,
@@ -22,11 +23,12 @@
  libtwolame-dev,
  libvpx-dev,
  libssl-dev,
+ libmosquitto-dev,
  libevdev-dev [linux-any],
  portaudio19-dev,
  pkg-config,
- libre-dev (>= 0.5.4),
- librem-dev (>= 0.5.0),
+ libre-dev (>= 0.5.5),
+ librem-dev (>= 0.5.2),
  libavcodec-dev,
  libavformat-dev,
  libavdevice-dev,
@@ -45,7 +47,7 @@
 Uploaders: Jonas Smedegaard <dr@jones.dk>,
  Ramakrishnan Muthhukrishnan <ram@rkrishnan.org>,
  Vasudev Kamath <vasudev@copyninja.info>
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Vcs-Git: https://anonscm.debian.org/git/pkg-voip/baresip.git
 Vcs-Browser: https://anonscm.debian.org/git/pkg-voip/baresip.git
 Homepage: http://www.creytiv.com/baresip.html
@@ -67,6 +69,8 @@
   * Video output modules: SDL2, X11, DirectFB.
   * NAT Traversal modules: STUN, TURN, ICE, NATBD, NAT-PMP, PCP.
   * Media encryption modules: SRTP, DTLS-SRTP.
+  * DNS Service Discovery module: Avahi.
+  * Telemetry messaging module MQTT.
  .
  This metapackage will install baresip and all its optional features.
 
@@ -74,6 +78,7 @@
 Architecture: any
 Depends: ${misc:Depends},
  ${shlibs:Depends}
+Recommends: ${cdbs:Recommends}
 Suggests: ${cdbs:Suggests}
 Description: portable and modular SIP user-agent - core parts
  A modular SIP user-agent with support for audio and video, and many
@@ -87,6 +92,8 @@
   * Video output modules: SDL2, X11, DirectFB.
   * NAT Traversal modules: STUN, TURN, ICE, NATBD, NAT-PMP, PCP.
   * Media encryption modules: SRTP, DTLS-SRTP.
+  * DNS Service Discovery module: Avahi.
+  * Telemetry messaging module MQTT.
  .
  Some of above features are provided in separate packages baresip-gtk,
  baresip-ffmpeg, baresip-gstreamer and baresip-x11.
@@ -109,6 +116,8 @@
   * Video output modules: SDL2, X11, DirectFB.
   * NAT Traversal modules: STUN, TURN, ICE, NATBD, NAT-PMP, PCP.
   * Media encryption modules: SRTP, DTLS-SRTP.
+  * DNS Service Discovery module: Avahi.
+  * Telemetry messaging module MQTT.
  .
  This package provides a GTK+ front-end for baresip.
 
@@ -130,6 +139,8 @@
   * Video output modules: SDL2, X11, DirectFB.
   * NAT Traversal modules: STUN, TURN, ICE, NATBD, NAT-PMP, PCP.
   * Media encryption modules: SRTP, DTLS-SRTP.
+  * DNS Service Discovery module: Avahi.
+  * Telemetry messaging module MQTT.
  .
  This package integrates FFmpeg codecs and formats with baresip.
 
@@ -151,6 +162,8 @@
   * Video output modules: SDL2, X11, DirectFB.
   * NAT Traversal modules: STUN, TURN, ICE, NATBD, NAT-PMP, PCP.
   * Media encryption modules: SRTP, DTLS-SRTP.
+  * DNS Service Discovery module: Avahi.
+  * Telemetry messaging module MQTT.
  .
  This package integrates GStreamer pipelines with baresip.
 
@@ -172,5 +185,7 @@
   * Video output modules: SDL2, X11, DirectFB.
   * NAT Traversal modules: STUN, TURN, ICE, NATBD, NAT-PMP, PCP.
   * Media encryption modules: SRTP, DTLS-SRTP.
+  * DNS Service Discovery module: Avahi.
+  * Telemetry messaging module MQTT.
  .
  This package provides various X11-related features for baresip.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright © 2016-2017 Jonas Smedegaard <dr@jones.dk>
+# Copyright 2016-2018 Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for baresip
 #
 # This program is free software; you can redistribute it and/or modify
@@ -28,9 +28,9 @@
 ARCHS_directfb := $(shell cat debian/ARCHS_directfb)
 
 # Needs and module hints for core package
-core-deps = asound2 codec2 directfb jack gsm1 opus opencore-amrnb
-core-deps += opencore-amrwb png sdl2 sndfile1 sndio spandsp
-core-deps += speex speexdsp twolame vpx ssl
+core-deps = asound2 avahi-client codec2 directfb jack gsm1 opus
+core-deps += opencore-amrnb opencore-amrwb png sdl2 sndfile1 sndio
+core-deps += spandsp speex speexdsp twolame vpx ssl mosquitto
 core-deps-extra = libevdev-dev [linux-any]
 core-deps-extra +=, portaudio19-dev
 core-mods-extra = b2bua codec2 echo snapshot sndio
@@ -38,8 +38,8 @@
 
 CDBS_BUILD_DEPENDS +=, $(patsubst %,$(comma) lib%-dev,$(core-deps))
 CDBS_BUILD_DEPENDS +=, $(core-deps-extra), pkg-config
-CDBS_BUILD_DEPENDS +=, libre-dev (>= 0.5.4)
-CDBS_BUILD_DEPENDS +=, librem-dev (>= 0.5.0)
+CDBS_BUILD_DEPENDS +=, libre-dev (>= 0.5.5)
+CDBS_BUILD_DEPENDS +=, librem-dev (>= 0.5.2)
 EXTRA_MODULES += $(core-mods-extra)
 
 CDBS_DEPENDS_baresip +=, baresip-core
@@ -65,6 +65,7 @@
 DEB_DH_INSTALL_ARGS_baresip-core += \
  $$(patsubst %,-X%.so,$$($1-mods) $$($1-mods-extra))
 CDBS_RECOMMENDS_baresip +=, baresip-$1
+CDBS_RECOMMENDS_baresip-core +=, avahi-daemon
 CDBS_SUGGESTS_baresip-core +=, baresip-$1
 CDBS_ENHANCES_baresip-$1 = baresip-core
 endef

=== debian/watch ===
# run "uscan --report" to check or "gpb import-orig --uscan" to update
version=4
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
 https://github.com/alfredh/baresip/tags \
 (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
